package com.clx.performance.service.impl.breakcontract;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.dao.breakcontract.BreakContractSettlementDriverDetailDao;
import com.clx.performance.model.breakcontract.BreakContractSettlementDriverDetail;
import com.clx.performance.param.pc.breakcontract.carrier.PageCarrierBreakContractSettlementDriverDetailParam;
import com.clx.performance.service.breakcontract.BreakContractSettlementDriverDetailService;
import com.clx.performance.struct.breakcontract.BreakContractSettlementDriverDetailStruct;
import com.clx.performance.vo.pc.breakcontract.carrier.PageCarrierBreakContractSettlementDriverDetailVO;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.poi.xssf.streaming.SXSSFWorkbook;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @author liruixin
 * Date 2023-10-24
 * Time 16:02
 */
@Service
@Slf4j
@AllArgsConstructor
public class BreakContractSettlementDriverDetailServiceImpl  implements BreakContractSettlementDriverDetailService {

    private final BreakContractSettlementDriverDetailDao breakContractSettlementDriverDetailDao;
    private final BreakContractSettlementDriverDetailStruct breakContractSettlementDriverDetailStruct;


    @Override
    public IPage<PageCarrierBreakContractSettlementDriverDetailVO> pageCarrierBreakContractSettlementDriverDetailList(PageCarrierBreakContractSettlementDriverDetailParam param) {
        IPage<BreakContractSettlementDriverDetail> breakContractSettlementDriverDetail = breakContractSettlementDriverDetailDao.pageCarrierBreakContractSettlementDriverDetailList(param);
        List<PageCarrierBreakContractSettlementDriverDetailVO> list = breakContractSettlementDriverDetailStruct.covertToCarrierList(breakContractSettlementDriverDetail.getRecords());
        return new Page<PageCarrierBreakContractSettlementDriverDetailVO>().setRecords(list).setTotal(breakContractSettlementDriverDetail.getTotal()).setPages(breakContractSettlementDriverDetail.getPages());
    }

    @Override
    public SXSSFWorkbook exportCarrierBreakContractSettlementDriverDetailList(PageCarrierBreakContractSettlementDriverDetailParam param) {
        return null;
    }
}
